org.gnome.gdk

## Class EventConfigure

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Boxed
    - - org.gnome.gdk.Event
      - - org.gnome.gdk.EventConfigure

-     public final class EventConfigure
      extends Event

  Information about the (possibly changed) size and position of a Window on screen. This is the object used to convey such data in the `Window.ConfigureEvent` signal.

  All dimensions are in pixels.

  Since:
    4.0.8
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()` The height of the Window.
    `int` | `getWidth()` The width of the Window.
    `int` | `getX()` The horizontal co-ordinate relative to the top left corner of the screen.
    `int` | `getY()` The vertical co-ordinate relative to the top left corner of the screen.

    - ### Methods inherited from class org.gnome.gdk.Event

      `getType, getWindow`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getHeight

          public int getHeight()

      The height of the Window.
      Since:
        4.0.8

    - #### getWidth

          public int getWidth()

      The width of the Window.
      Since:
        4.0.8

    - #### getX

          public int getX()

      The horizontal co-ordinate relative to the top left corner of the screen.
      Since:
        4.0.8

    - #### getY

          public int getY()

      The vertical co-ordinate relative to the top left corner of the screen.
      Since:
        4.0.8